<h1>Inventář</h1>
<form method='post' action='/admin/inventory/' style='float: left; margin-top: 15px'>
    <input type="text" name="search" value=""/>
    <input type='submit' value='Hledat'>
</form>
<a href='/admin/inventory/select/'>
    <div class="floatright button active border-style">Přidat produkt do inventáře</div>
</a>
<table class='inventory' style=''>
    <thead>
        <tr>
            <td></td>
            <td></td>
            <td></td>
            <td>Objednáno</td>
            <td></td>
            <td>Na krámě</td>
            <td></td>
            <td></td>
            <td>Ve skladu</td>
            <td></td>
            <td></td>
        </tr>
        <tr>
            <td style='text-align: left'>
                <a href='/admin/inventory/?order=product_id'>
                    ID <?= ($this->order == 'product_id') ? "<img src='/graphics/arrow_down.png' alt=''>" : "" ?>
                </a>
            </td>
            <td style='text-align: left'>
                <a href='/admin/inventory/?order=title'>
                    Produkt <?= ($this->order == 'title') ? "<img src='/graphics/arrow_down.png' alt=''>" : "" ?>
                    
                </a>
            </td>
            <td></td>
            <td></td>
            <td></td>
            <td>k dispozici</td>
            <td>reálně</td>            
            <td></td>
            <td>k dispozici</td>
            <td>reálně</td>
            <td></td>
        </tr>
    </thead>
    <tbody>
        <?php 
        foreach ($this->products as $product) { ?>
        <tr>
            <td style='text-align: left'>
                <?= $product->getProductId(); ?>
            </td>
            <td style='text-align: left'>
                <a href='/admin/inventory/history/?product_id=<?= $product->getProductId(); ?>'>
                    <?= $product->getTitle(); ?>
                </a>
            </td>
            <td style=''></td>
            <?php
            $inventory = $product->getInventory($product->getProductId());
            if (empty($inventory['inv1a'])) {?>
            <td>
            </td>
            <?php } else { ?>
            <td style='background-color: #e6db29'>
                <?= $inventory['inv1a'] ?>
            </td>
            <?php } ?>
            <td style=''></td>
            <td style='background-color: #e6a129'>
                <?= $inventory['inv2b'] ?>
            </td>
            <td style='background-color: #e6a129'>
                <?= ($inventory['inv2b'] != $inventory['inv2a']) ? "(".$inventory['inv2a'].")" : "" ?>
            </td>
            <td style=''>
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $product->getProductId(); ?>">
                    <input type="hidden" name="operation" value="move">
                    <input type="hidden" name="redirect" value="/admin/inventory/">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="&#171; Přemístit &#171;">
                </form>    
            </td>
            <td style='background-color: #82e629'>
                <?= $inventory['inv3b'] ?>
            </td>
            <td style='background-color: #82e629'>
                <?= ($inventory['inv3b'] != $inventory['inv3a']) ? "(".$inventory['inv3a'].")" : "" ?>
            </td>
            <td style=''>
                <form method="post" action="/admin/inventory/update/">
                    <input type="hidden" name="product_id" value="<?= $product->getProductId(); ?>">
                    <input type="hidden" name="operation" value="addstorage">
                    <input type="hidden" name="redirect" value="/admin/inventory/">
                    <input type="text"   name="quantity" value="" style="width: 60px">
                    <input type="submit" value="&#171; Doplnit &#171;">
                </form>  
            </td>
        </tr>
        <?php } ?>
    </tbody>
</table>
<div class="clear"></div>